# Get Classifier Document

Source: https://www.digiparser.com/docs/api/getClassifierDocument

# Get Classifier Document

Server URL`loading...`

GET

/`api`/`v1`/`classifiers`/`{classifierId}`/`documents`/`{documentId}`

Send

Authorization

Path

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

classifierId\*string

The ID of the document classifier

Format`uuid`

documentId\*string

The ID of the document

Format`uuid`

## [Response Body](#response-body)

### 200

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X GET "https://api.digiparser.com/api/v1/classifiers/8af7812d-3b1a-4869-a2b0-a7a3cb2807d1/documents/3eb8e281-89b8-4cf0-9397-660794692cef"
```

200

```
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "externalId": "string",
  "custom": {},
  "source": "string",
  "contentType": "string",
  "url": "string",
  "status": "processed",
  "isProcessed": true,
  "isFailed": true,
  "pageCount": 0,
  "routing": {
    "status": "routed",
    "category": "string",
    "targetParserId": "c1414b5c-cc7f-4042-9bc2-fa9363157ee6",
    "targetParserName": "string",
    "reasoning": "string",
    "error": "string"
  },
  "targetParser": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "slug": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```

[

List Classifier Documents GET

List documents uploaded through a classifier, including routed, skipped, and failed routing results.

](/docs/api/listClassifierDocuments)[

Reprocess Classifier Document POST

Re-run classification and routing for a skipped or failed classifier document.

](/docs/api/reprocessClassifierDocument)